{
    "minecraft:item": {
        "description": {
            "category": "Equipment",
            "identifier": "customshield:test_shield",
            "custom_item_type": "shield"
        },
        "components": {
            "netease:shield":{
                "defence_damage_source_list":["drowning"],//防御的伤害类型，如果不配或者配置为空则走原生的格挡伤害逻辑
                "undefence_damage_source_list":["entity_attack"],//不防御的伤害类型，和上面这个不能有相同元素，如果有相同则优先防御
                "is_consume_damage":false//是否消耗耐久度，不消耗
            }
        }
    },
    "format_version": "1.10"
}